Subject: bug#79137: 31.0.50; (vc-buffer-sync-fileset) cannot complete if unrelated no-longer-reachable TRAMP buffers exist

From: Sean Whitton <[email-masked]>
Date: Tue, 05 Aug 2025 11:43:41 +0100

Hello,

On Fri 01 Aug 2025 at 08:53am -07, Dima Kogan wrote:

> Hi.
>
>
> Michael Albinus <[email-masked]> writes:
>
>> Does it help to use here
>>
>> (let ((non-essential t)
>>       dirs buffers)
>
> It does! I now get my diff. I should point out that this is very
> confusing: later in this same function there's a reference to
> 'not-essential, which apparently is a different, unrelated thing to
> 'non-essential.
>
> Let me know if any more tests would be useful.

I think that we should bind non-essential to the value of not-essential,
here.  I.e.

    (let ((non-essential not-essential)
          dirs buffers)

That would be saying: only if we are okay with the user saying no to
saving the buffers, we are okay with giving up on looking at them if
they are remote.

How about that?

-- 
Sean Whitton